Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011725 [DCSS] Documentation text always 2018-10-20 14:22 2018-10-31 22:30
Reporter RoGGa View Status public  
Assigned To ebering
Priority normal Resolution done  
Status closed   Product Branch 0.23 stable branch
Summary 0011725: Wanderer start does not inform about possible spells in Library (via M key)
Description new players might not know that they have spells in their Library

Additional Information
Tags No tags attached.
Attached Files png file icon Wanderer-User not informed about spells in Library.png [^] (35,073 bytes) 2018-10-20 14:22

- Relationships

-  Notes
(0032703)
NormalPerson7 (reporter)
2018-10-20 15:52

Yea you're right this should probably be printed to the message log at some point. Let me see what I can do.
(0032717)
RoGGa (reporter)
2018-10-23 18:17

NP7, I saw your pull request posted on #crawl-dev:

( 11:55:35 <Cheibriados> NormalPerson7 https://github.com/crawl/crawl/pull/869 [^] * 0.23-a0-352-ged8802c: Start Wn with a spell memorised if they have only one level 1 spell (7 minutes ago, 3 files, 25+ 0-) https://github.com/crawl/crawl/commit/ed8802ccf75e [^] )

Without having looked at the code, I foresee 2 possible (and related) ~issues~:

It is possible that there are "0 spell levels" to memorize a Lv1 spell, as can be seen in the submitted screen capture above.
And secondly, it is possible that the player would prefer not to memorize a Lv1 spell for some reason ...such as:
- a magic school with a very bad aptitude and a skill lvl of 0 (at t=0); or
- a starting weapon that has numerous skill lvl allotted to it, making it the preferred attack option for the early game.

(Just my 0.02$ :-)
(0032721)
NormalPerson7 (reporter)
2018-10-23 22:08
edited on: 2018-10-23 22:11

The first thing doesn't actually cause any issues, although it's probably not great practice not to explicitly check for having enough spell levels;

The second thing is true, but I'd also point out there are other backgrounds where level 1 spells are automatically learned with no remorse for the player's interests. I'm not sure I'd be terribly on board with my TrEn learning Corona, either...

Just to point out, the main reason for that PR is simply to add an initial announcement, that is, fix this bug report. Having wanderers memorise their level 1 spell was an extra that ebering convinced me to commit; I don't really mind if they decide not to implement that.

(0032724)
ebering (developer)
2018-10-27 01:53

Fixed in trunk.
(0032755)
RoGGa (reporter)
2018-10-31 22:30

Great!

- Issue History
Date Modified Username Field Change
2018-10-20 14:22 RoGGa New Issue
2018-10-20 14:22 RoGGa File Added: Wanderer-User not informed about spells in Library.png
2018-10-20 15:52 NormalPerson7 Note Added: 0032703
2018-10-23 18:17 RoGGa Note Added: 0032717
2018-10-23 22:08 NormalPerson7 Note Added: 0032721
2018-10-23 22:11 NormalPerson7 Note Edited: 0032721
2018-10-27 01:53 ebering Note Added: 0032724
2018-10-27 01:53 ebering Status new => resolved
2018-10-27 01:53 ebering Fixed in Branch => 0.23 development branch
2018-10-27 01:53 ebering Resolution open => done
2018-10-27 01:53 ebering Assigned To => ebering
2018-10-31 22:30 RoGGa Note Added: 0032755
2018-10-31 22:30 RoGGa Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker